html,
body {
    height: 100%;
    font-size: 14px;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 20px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 10px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after,
a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: "Glyphicons Halflings";
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}

@media (max-width: 767px) {
    .nav li > form > button.logout {
        display: block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

.navbar.bg-dark {
    background: #870e08 !important;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: #af3f3e !important;
}

.card-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 0 !important;
}
.card-title ~ hr {
    margin-top: 0.5rem;
}

table.detail-view th {
    width: 35%;
}

table.detail-view td {
    width: 65%;
}

.table-mobile .spacer {
    display: none;
}

tr.mobile-view-row {
    display: none;
}

@media only screen and (max-width: 760px),
    (min-device-width: 768px) and (max-device-width: 1024px) {
    .table-mobile .filters {
        display: none;
    }

    .table-mobile .text-center {
        text-align: justify !important;
    }

    .table-mobile tr {
        display: none;
    }

    .table-mobile tr.mobile-view-row {
        display: table-row;
        width: 100%;
    }

    .table-mobile tr.mobile-view-row th {
        width: 40%;
        white-space: initial;
    }

    .table-mobile tr.mobile-view-row td {
        width: 60%;
    }

    .table-mobile tr.mobile-view-item-last {
        border-bottom: 1px solid #e9ecef;
    }

    .table-mobile .spacer {
        display: table-row;
    }

    .table-mobile .spacer td {
        width: 100%;
        height: 20px;
        background: #f1f4f6;
    }

    .table-mobile .spacer:last-child td {
        background: transparent;
    }
}

.payment-form {
    padding: 10px 0 0 0;
}

.card-header,
.card-title {
    min-height: 26px;
}

.member-appointment-time_header {
    margin: 10px 0 5px 0;
}

.member-appointment-time_label input {
    display: none;
}

.member-appointment-time_label .checked {
    display: none;
}

.member-appointment-time_label.active .checked {
    display: inline-block;
}

.member-appointment-time_label.active .unchecked {
    display: none;
}

.list-group-bordered .list-group-item + .list-group-item {
    border-top-width: 1px;
}

.manual-index img {
    width: 670px;
    height: auto;
}

table.calendar {
    border-left: 1px solid rgba(0, 0, 0, 0.125);
    width: 100%;
}

td.calendar-day {
    min-height: 80px;
    font-size: 11px;
    position: relative;
}

* html div.calendar-day {
    height: 80px;
}

td.calendar-day:hover {
    background: #eceff5;
}

td.calendar-day-np {
    background: #eee;
    min-height: 80px;
}

* html div.calendar-day-np {
    height: 80px;
}

td.calendar-day-head {
    font-weight: bold;
    text-align: center;
    width: 120px;
    padding: 5px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
    border-top: 1px solid rgba(0, 0, 0, 0.125);
    border-right: 1px solid rgba(0, 0, 0, 0.125);
    color: #fff;
}

.calendar .day-number {
    background: #999;
    padding: 5px;
    font-weight: bold;
    margin: -5px -5px 0 0;
    width: 30px;
    text-align: center;
    display: inline-block;
    position: absolute;
    right: 5px;
    top: 5px;
}

.calendar .day-link {
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* shared */
td.calendar-day,
td.calendar-day-np {
    width: 120px;
    padding: 18px 5px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
    border-right: 1px solid rgba(0, 0, 0, 0.125);
}

.select2-search__field {
    line-height: 2.25rem !important;
}

.select2-selection__choice {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    padding: 2px 3px !important;
    line-height: 1 !important;
}

.pdf-template {
    font-size: 10.5px;
}

.pdf-template .table th, .pdf-template .table td {
    padding: 0.25rem 0.4rem;
}

b.font-weight-bold {
    font-weight: bold;
}

.bg-corporate,
th.bg-corporate,
td.bg-corporate,
.pdf-template td.bg-corporate,
.pdf-template th.bg-corporate {
    background: #a71e23 !important;
    background-color: #a71e23 !important;
    color: #fff !important;
}

.text-corporate {
    color: #a71e23 !important;
}
